<template lang="html">
  <modal class="terms-modal" name="terms-modal"
  :width="1169"
  :height="797">
  <div class="terms-modal-block">
    <div class="title-terms-modal">
      <p class="uppercase">{{title}}</p>
      <ui-modal-close-button></ui-modal-close-button>
    </div>
    <div class="textarea-terms-modal">
      <div v-for="(termsText, key) in terms" :key="key" class="terms-1">
        <h4>{{ termsText.title1}}</h4>
        <p>{{ termsText.text1}}</p>
      </div>
    </div>
    <div class="checkbox-button-block">
      <label class="container">{{ agreeTerms }}
        <input type="checkbox" checked="checked">
        <span class="checkmark"></span>
      </label>
      <ui-button
      v-for="(title, key) in termsBlock"
      :key="key"
      :title="title"
      ></ui-button>
    </div>
  </div>
</modal>
</template>

<script>
export default {
  data () {
    return {
      title: 'пользовательское соглашение',
      agreeTerms: 'Я принимаю пользовательское соглашение',
      termsBlock: [
        {
          title: 'Продолжить'
        }
      ],
      terms: [
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },

        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        },
        {
          title1: '1. ОБЩИЕ ПОЛОЖЕНИЯ И УСЛОВИЯ',
          text1: '1.1. Посещая любой из разделов нашего сайта(в дальнейшем «Сайт») или, открывая счет, Вы автоматически соглашаетесь со всеми пунктами Пользовательского соглашения (в дальнейшем «Соглашение»), Политикой конфиденциальности, правилами каждой из игр, условиями рекламной деятельности, бонусами и специальными предложениями, которые время от времени появляются на Сайте. Прежде чем принять условия Соглашения, желательно внимательно ознакомиться со всеми его положениями. Если вы не желаете или не можете согласиться с указанными условиями и соблюдать их, то рекомендуем не открывать счет и не пользоваться Сайтом. Последующее использование Сайта будет означать, что Вы принимаете все положения данного Соглашения.'
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
  .checkbox-button-block {
      width: 93%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin: 43px 25px 40px 25px;
      label {
          margin-left: 35px;

          font-weight: bold;
          font-size: 18px;
      }
      p {
        width: 100%;
        font-size: 18px;
        font-weight: bold;
        margin-top: 14px;

        display: flex;
        align-items: center;
        .checkbox {
          margin-right: 10px;
          margin-left: -3px;
          width: 27px;
          height: 23px;
        }
        .checkbox:hover {
          background-color: red;
        }
      }
  }
  .title-terms-modal {
      display: flex;
      align-items: center;
      justify-content: space-around;
      padding: 12px 0 16px 0;

      width: 100%;
    p {
      width: 100%;
      text-align: center;
      font-size: 23px;
      font-weight: bold;
      font-family: sans-serif;
      padding-left: 71px;
      margin-top: 23px;
    }
    .ui-signin-close-button {
      margin-right: 30px;
    }
  }
  .uppercase {
    text-transform: uppercase;
  }
  .textarea-terms-modal {
     overflow-y: scroll;

     width: 93%;
     height: 61%;

     background-color: white;
     div {
       margin-left: 27px;
     }
  }
  .terms-modal-block {
    background-image: url(../../assets/img/home/bg-terms.svg);
    background-position: center;
    background-size: cover;

    position: absolute;

    width: 100%;
    height: 100%;

    background-color: white;

    display: flex;
    flex-direction: column;
    align-items: center;
  }

    .checkbox-button-block {
    position: relative;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  /* Hide the browser's default checkbox */
  .checkbox-button-block input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  /* Create a custom checkbox */
  .checkmark {
    position: absolute;
    top: 35px;
    left: 0;
    height: 21px;
    width: 21px;
    background-color: white;
    border: 1px solid black;

    transition: .3s ease all;
  }

  /* On mouse-over, add a grey background color */
  .checkbox-button-block:hover input ~ .checkmark {
    background-color: #ccc;
    border: 1px solid black;

    transition: .3s ease all;
  }

  /* When the checkbox is checked, add a blue background */
  .checkbox-button-block input:checked ~ .checkmark {
    background-color: white;
  }

  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }

  /* Show the checkmark when checked */
  .checkbox-button-block input:checked ~ .checkmark:after {
    display: block;
  }

  /* Style the checkmark/indicator */
  .checkbox-button-block .checkmark:after {
    left: 6px;
    top: -6px;
    width: 10px;
    height: 20px;
    border: solid black;
    border-width: 0 5px 4px 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(41deg);
    color: black;
    z-index: 1;
    border-radius: 5px;
  }
</style>
